Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 515138 - <www-apps/mediawiki-{1.19.20,1.22.12,1.23.5}: Prevent external resources in SVG files
Summary: <www-apps/mediawiki-{1.19.20,1.22.12,1.23.5}: Prevent external resources in S...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://lists.wikimedia.org/pipermail/...
Whiteboard: B4 [glsa]
Keywords:
Depends on:
Blocks: 518608
  Show dependency tree
 
Reported: 2014-06-26 00:52 UTC by Alex Xu (Hello71)
Modified: 2015-02-07 17:53 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Xu (Hello71) 2014-06-26 00:52:21 UTC
+++ This bug was initially created as a clone of Bug #508976 +++

== Security ==
* (bug 65839) SECURITY: Prevent external resources in SVG files.

URLs not yet available.
Comment 1 Alex Xu (Hello71) 2014-06-26 00:54:53 UTC
worst consequence of this is possible pingback, so maybe it doesn't even qualify as B4

also, afaict, firefox doesn't load these anyways: https://bugzilla.mozilla.org/show_bug.cgi?id=628747
Comment 2 Alex Xu (Hello71) 2014-07-30 20:20:16 UTC
*mediawiki-1.23.1 (26 Jun 2014)
*mediawiki-1.22.8 (26 Jun 2014)
*mediawiki-1.21.11 (26 Jun 2014)
*mediawiki-1.19.17 (26 Jun 2014)

  26 Jun 2014; Tim Harder <radhermit@gentoo.org> +mediawiki-1.19.17.ebuild,
  +mediawiki-1.21.11.ebuild, +mediawiki-1.22.8.ebuild,
  +mediawiki-1.23.1.ebuild:
  Security bumps (bug #515138).
Comment 3 Sean Amoss gentoo-dev Security 2014-12-15 01:30:22 UTC
Looks like this issue will likely not get a CVE due to this [1] correspondence. With that being said, I will add this bug to the GLSA just to be safe. 

[1] http://www.openwall.com/lists/oss-security/2014/06/27/18
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2015-02-07 17:53:56 UTC
This issue was resolved and addressed in
 GLSA 201502-04 at http://security.gentoo.org/glsa/glsa-201502-04.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).